Source: linux
Source-Version: 4.9.65-3+deb9u2
Tags: patch

--

Hi,
beginning January a patch series has been sent on the LKML which include
a patch to prevent the Meltdown vulnerability on some Power machines :
https://lkml.org/lkml/2018/1/8/649
This series has been upstreamed and a few days ago, the backport to 4.9
stable kernel been included :
https://git.kernel.org/pub/scm/linux/kernel/git/stable/linux-stable.git/log/?h=linux-4.9.y&qt=grep&q=powerpc

powerpc/64s: Allow control of RFI flush via debugfs
powerpc/64s: Wire up cpu_show_meltdown()
powerpc/powernv: Check device-tree for RFI flush settings
powerpc/pseries: Query hypervisor for RFI flush settings
powerpc/64s: Support disabling RFI flush with no_rfi_flush and nopti
powerpc/64s: Add support for RFI flush of L1-D cache
powerpc/64s: Convert slb_miss_common to use RFI_TO_USER/KERNEL
powerpc/64: Convert the syscall exit path to use RFI_TO_USER/KERNEL
powerpc/64: Convert fast_exception_return to use RFI_TO_USER/KERNEL
powerpc/64: Add macros for annotating the destination of rfid/hrfid
powerpc/pseries: Add H_GET_CPU_CHARACTERISTICS flags & wrapper

This will be available in 4.9.81 but given the CVE associated (
https://security-tracker.debian.org/tracker/CVE-2017-5754 ) it may be
included in debian stable 4.9.65-3+deb9u2 maybe ?
Regards,

F.

Attachment: pgpQYBPHAA8Zp.pgp
Description: PGP signature

Reply via email to